<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/

$app->get('/', function () use ($app) {
    return redirect('docs');
});

$app->get('nieuws/overzicht', 'NewsController@list' );
$app->get('nieuws/overzicht/{count:\d+}', 'NewsController@list' );
$app->get('nieuws/overzicht/{count:\d+}/{page:\d+}', 'NewsController@list' );
$app->get('nieuws/bericht/{id:\d+}', 'NewsController@item' );

$app->get('agenda/overzicht[/week]', 'AgendaController@listWeek' );
$app->get('agenda/overzicht/maand', 'AgendaController@listMonth' );
$app->get('agenda/overzicht/alles', 'AgendaController@list' );
$app->get('agenda/details/{id:\d+}', 'AgendaController@item' );
